Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360704 - xsos dmidecode memory total wrong
Summary: xsos dmidecode memory total wrong
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sos
Version: 7.2
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Pavel Moravec
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 11:11 UTC by Jeremy Harris
Modified: 2016-07-27 12:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 11:15:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github https://github.com/ryran xsos issues 203 None None None 2016-07-27 12:39:31 UTC

Description Jeremy Harris 2016-07-27 11:11:29 UTC
Description of problem:

  "xsos -a ." against the sosreport of a large system claims it has a total
of 2GB of memory, when there is actually 2GB


Version-Release number of selected component (if applicable):

  Version info: xsos v0.7.8 last mod 2015/02/16



How reproducible:


Steps to Reproduce:
1. sosreport a large system (seen for a Bull 120-core, 2TB)
2. xsos -a .
3.

Actual results:

  DMIDECODE
  BIOS:
    Vend: Bull
    Vers: BIOSX05.021.02.015
    Date: 04/02/2015
    BIOS Rev: 109.21
    FW Rev:  
  System:
    Mfr:  BULL
    Prod: bullion S
    Vers: 2.0
    Ser:  XAN-S18-01765
    UUID: A5C304E4-508E-41C5-A95C-27FB4947DA0E
  CPU:
    8 of 16 CPU sockets populated, 15 cores/30 threads per CPU
    120 total cores, 240 total threads
    Mfr:  Not Specified
    Fam:  <OUT OF SPEC>
    Freq: 2800 MHz
    Vers: Not Specified
  Memory:
    2048 MB (2 GB) total
    64 of 192 DIMMs populated (system max capacity 6 TB)



Expected results:

  Memory:
    2048 GB (2 TB) total

Additional info:

 The "MEMORY" section of the output is more reasonable:

  MEMORY
  Stats graphed as percent of MemTotal:
    MemUsed    ▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊▊........................  52.6%
    Buffers    ..................................................   0.0%
    Cached     ▊.................................................   1.0%
    HugePages  ..................................................   0.0%
    Dirty      ..................................................   0.0%
  RAM:
    2019 GiB total ram
    1061.3 GiB (53%) used
    1041.1 GiB (52%) used excluding Buffers/Cached
    0.01 GiB (0%) dirty

Comment 1 Bryn M. Reeves 2016-07-27 11:15:06 UTC
The xsos script is not part of the sos package, either upstream or in RHEL, and is not included in the RHEL distribution.

Please file a bug against the EPEL package, internal build, or upstream repo depending on where the package was installed from.


Note You need to log in before you can comment on or make changes to this bug.